<?php

namespace Plugin\feedback\src\controller\user;

use Slim\Psr7\{
    Request,
    Response
};
use Firebase\JWT\{
    JWT,
    Key
};
use App\response\customResponse;

class ajaxwidgetController
{
    /**
     * @route({"url": "savemessagetext", "methods": ["post"], "csrf": true})
     */
    public static function savemessagetext(Request $request, Response $response) {
        $data=$request->getParsedBody();

        try {
            $res=false; $msg='';
            if (!empty($db=$GLOBALS['app']->getContainer()->get('database'))) {
                $tablename=str_replace('"', '', $db->tableQuote('feedback'));
                if ($db->query("SHOW TABLES LIKE '{$tablename}'")->fetchColumn() !== false) {
                    $phpjwtdata=null;
                    if (!empty($request->getAttribute('jwtdata'))) {
                        $phpjwtdata=$request->getAttribute('jwtdata');
                    } else {
                        if (isset($_COOKIE['accesstoken'])) {
                            $phpjwtdata=JWT::decode($_COOKIE['accesstoken'], new Key(env('APP_AUTH_SECRET', ''), 'HS256'));
                        }
                    }

                    if (!empty($phpjwtdata)) {
                        if (!empty($currentlogin=$phpjwtdata->data->authlogin)) {$data['petitioner']=strtolower($currentlogin);}
                    }

                    $db->insert('feedback', $data);

                    if (!$db->error) {$res=true;}
                } else {$msg=__('Connection to database failed');}
            } else {$msg=__('Connection to database failed');}

            return customResponse::json($response, ['res' => $res, 'msg' => $msg]);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }
}