<div class="uk-container" v-cloak>
    <div class="uk-text-center uk-position-relative ang-margin-bottom20">
        <h3 class="uk-position-top-center uk-margin-remove uk-visible@s">{{ $t('Messages') }}</h3>

        <div class="uk-text-right">
            <button class="ang-button ang-button-primary ang-margin-left10" @click.prevent="updatemessages()">{{ $t('Update') }}</button>
        </div>
    </div>

    <div class="uk-overflow-auto">
        <table class="uk-table uk-table-divider uk-table-hover uk-table-small uk-table-middle uk-margin-remove">
            <thead>
                <tr>
                    <th class="uk-table-shrink uk-text-center">ID</th>
                    <th class="uk-table-shrink uk-text-center">{{ $t('Login') }}</th>
                    <th class="uk-table-shrink uk-text-center">{{ $t('Date/time') }}</th>
                    <th class="uk-width-expand uk-text-center">{{ $t('Text message') }}</th>
                    <th class="uk-width-small uk-text-center" style="min-width: 64px;"><i uk-icon="cog"></i></th>
                </tr>
            </thead>

            <tbody>
                <tr v-if="(!listmessages || listmessages.length == 0)">
                    <td class="uk-text-center" colspan="5">{{ $t('No data available') }}</td>
                </tr>
                <tr v-for="(item, index) in listmessages" v-else>
                    <td class="uk-text-center">
                        #{{ item.id }}
                    </td>

                    <td class="uk-text-center">
                        <span class="uk-badge">{{ item.petitioner }}</span>
                    </td>

                    <td class="uk-text-center">
                        <span class="uk-badge ang-bg-remove ang-border-1s ang-border-orange ang-color-orange uk-text-nowrap" :uk-tooltip="relativeDate(item.datecreate)">{{ formatDateTime(item.datecreate) }}</span>
                    </td>

                    <td>
                        {{ item.messagetext }}
                    </td>

                    <td class="uk-text-center uk-position-relative">
                        <button class="ang-button ang-button-primary ang-button-small" style="width: 40px;" @click.prevent="deletemessage(index)" :uk-tooltip="$t('Delete')"><img src="/app/asset/image/theme/icon-trash.svg" alt="" uk-svg /></button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>