<?php

namespace Plugin\guide\src\controller\user;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;

class pagemainController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response) {
        $addictions=[
            /*
            'slim' => ['Slim Framework', 'https://www.slimframework.com', 'topic' => [
                ['Daniel Opitz - Blog', 'https://odan.github.io']
            ]],
            */
            'slim' => ['Slim Framework', 'https://www.slimframework.com'],
            'php-di' => ['PHP-DI', 'https://php-di.org'],
            'php-view' => ['PHP-View', 'https://github.com/slimphp/PHP-View'],
            'medoo' => ['Medoo Database Framework', 'https://medoo.in/'],
            'symfony' => ['Symfony Components', 'https://symfony.com'],
            'phpdotenv' => ['PHP dotenv', 'https://github.com/vlucas/phpdotenv'],
            'monolog' => ['Monolog', 'https://github.com/Seldaek/monolog'],
            'vue' => ['Vue', 'https://v3.vuejs.org'],
            'uikit' => ['UIkit', 'https://getuikit.com'],
            'axios' => ['Axios', 'https://axios-http.com']
        ];

        $renderer=$this->container->get('viewuser');
        return $renderer->render($response, $renderer->getAttribute('currentpage'), ['addictions' => $addictions]);
    }
}