<div id="header" uk-sticky="show-on-up: true; animation: uk-animation-slide-top-medium; media: 767;">
    <nav class="uk-navbar-container" uk-navbar>
        <div class="uk-navbar-left">
            <a href="/" class="uk-navbar-item">
                <div class="uk-position-relative" style="width: 80px; height: 70px;" uk-scrollspy="target: > img; delay: 100; repeat: false;">
                    <img class="uk-position-top-left" src="/angiv/plugin/guide/image/logo.line1.png" uk-scrollspy-class="uk-animation-slide-left-small" />
                    <img class="uk-position-top-left" src="/angiv/plugin/guide/image/logo.line2.png" uk-scrollspy-class="uk-animation-slide-right-small" />
                    <img class="uk-position-top-left" src="/angiv/plugin/guide/image/logo.line3.png" uk-scrollspy-class="uk-animation-slide-bottom-small" />
                </div>
                <div class="uk-text-center" uk-scrollspy="cls: uk-animation-slide-right-medium; repeat: false;" style="margin-left: -10px;">
                    <p class="uk-margin-remove uk-visible@s" style="font-size: 22px;">Angiv</p>
                    <p class="ang-color-grey uk-margin-remove uk-visible@s">CMF</p>
                </div>
            </a>
        </div>

        <div class="uk-navbar-center">
            <ul class="uk-navbar-nav uk-visible@m ang-margin-right10" style="height: 40px;">
                <li class="<?= (($phpdatasite['currenturl'] == '/') ? 'uk-active' : '') ?>"><a href="/"><?= __('Home') ?></a></li>
                <li class="<?= (($phpdatasite['currenturl'] == '/guide') ? 'uk-active' : '') ?>"><a href="/guide"><?= __('Guide') ?></a></li>
                <li class="<?= (($phpdatasite['currenturl'] == '/changelog') ? 'uk-active' : '') ?>"><a href="/changelog"><?= __('Changelog') ?></a></li>
                <li class="<?= (($phpdatasite['currenturl'] == '/complicity') ? 'uk-active' : '') ?>"><a href="/complicity"><?= __('Complicity') ?></a></li>
            </ul>

            <ul class="uk-navbar-nav uk-visible@m ang-padding-left10" style="border-left: 1px solid #ccc; gap: 0px;">
                <li><a href="https://github.com/angivcmf/angivcmf" target="_blank"><i class="ang-margin-right3" uk-icon="github"></i></a></li>
                <!-- <li><a href="https://gitter.im/angivcmf/community" target="_blank"><i class="ang-margin-right3" uk-icon="gitter"></i></a></li> -->
                <li>
                    <a href="#"><i class="ang-margin-right3" uk-icon="location"></i></a>
                    <div class="uk-navbar-dropdown" style="width: auto;">
                        <ul class="uk-nav uk-navbar-dropdown-nav">
                            <li class="langchange"><a id="en_US">En</a></li>
                            <li class="langchange"><a id="ru_RU">Ru</a></li>
                        </ul>
                    </div>
                </li>
            </ul>

            <button class="uk-navbar-toggle uk-hidden@m" type="button" uk-toggle="target: #slidemenu" uk-navbar-toggle-icon></button>
        </div>

        <div class="uk-navbar-right">
            <div class="uk-navbar-item">
                <a href="/angiv/storage/angiv.zip" class="downloadbutton uk-button uk-button-default ang-padding-left15 ang-padding-right30 uk-position-relative" style="line-height: 50px;">CMF <span class="uk-visible@s"><?= __('download') ?></span><i class="uk-position-top-right" uk-icon="download" style="margin: 14px 10px 0px 0px;"></i></a>
            </div>
        </div>
    </nav>

    <div id="slidemenu" uk-offcanvas="overlay: true; mode: slide;">
        <div class="uk-offcanvas-bar">
            <button class="uk-offcanvas-close" type="button" uk-close></button>

            <h3>Angiv CMF</h3>
            <ul class="uk-nav-default uk-nav-parent-icon" uk-nav="multiple: true; collapsible: true;">
                <li class="<?= (($phpdatasite['currenturl'] == '/') ? 'uk-active' : '') ?>"><a href="/"><i class="ang-margin-right5" uk-icon="home"></i><?= __('Home') ?></a></li>
                <li class="<?= (($phpdatasite['currenturl'] == '/guide') ? 'uk-active' : '') ?>"><a href="/guide"><i class="ang-margin-right5" uk-icon="file-text"></i><?= __('Guide') ?></a></li>
                <li class="<?= (($phpdatasite['currenturl'] == '/changelog') ? 'uk-active' : '') ?>"><a href="/changelog"><i class="ang-margin-right5" uk-icon="album"></i><?= __('Changelog') ?></a></li>
                <li class="<?= (($phpdatasite['currenturl'] == '/complicity') ? 'uk-active' : '') ?>"><a href="/complicity"><i class="ang-margin-right5" uk-icon="world"></i><?= __('Complicity') ?></a></li>
                <li class="uk-nav-divider"></li>

                <li><a href="https://github.com/angivcmf/angivcmf" target="_blank"><i class="ang-margin-right5" uk-icon="github"></i>Github</a></li>
                <!-- <li><a href="https://gitter.im/angivcmf/community" target="_blank"><i class="ang-margin-right5" uk-icon="gitter"></i>Gitter</a></li> -->
            </ul>
        </div>
    </div>
</div>

<script>
    $(function() {
        $('.langchange').on('click', function(event) {

            axios.post('/guide/setlang/' + $(this).children('a').attr('id'))
                .then(function () {
                    window.location.reload();
                });

        });
    });
</script>