$(function() {
    const vueoptions={
        data() {
            return _.merge(window.jsdatacontrolpanel, window.jsdata);
        },

        methods: {
            increasecounter: function() {
                var vm=this;
                vm.counter++;
            },

            decreasecounter: function() {
                var vm=this;
                vm.counter--;
            },

            ajaxadmintest: function() {
                var vm=this;

                axios.post(vm.adminurl + '/hello/getadmintext/idadmin1', {'counter': vm.counter}, {params: {'key1': 'val1', 'key2': 'val2'}})
                    .then(function(response) {
                        iziToast.success({title: 'Axios', message: JSON.stringify(response.data, null, 4)});
                    })
                    .catch(function(error) {
                        iziToast.error({title: 'Axios', message: error.response.msg});
                    });

            },
        }
    }
    Vue.createApp(vueoptions).use(window.vuei18n).mount('#main');
});