<?php

namespace Plugin\hello\src\controller\user;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;

class pageuikitController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response) {
        $phptext=[
            'title' => __('Modern and modular content management framework,'),
            'description' => __('only Angiv to quickly create your plugins.'),
            'ajaxtest' => __('Ajax-request test'),
            'ajaxrun' => __('Execute')
        ];

        $renderer=$this->container->get('viewuser');
        return $renderer->render($response, $renderer->getAttribute('currentpage'), ['phptext' => $phptext]);
    }
}