<?php

namespace Plugin\users;

use Slim\Psr7\Response;
use App\response\customResponse;

class scriptdatabase
{
    public static function executescriptdatabase(Response $response) {
        $res=false; $msg='';

        if (!empty($db=$GLOBALS['app']->getContainer()->get('database'))) {
            $tablename=str_replace('"', '', $db->tableQuote('users'));
            if ($db->query("SHOW TABLES LIKE '{$tablename}'")->fetchColumn() === false) {
                $db->create('users', [
                    'id' => ['integer', 'unsigned', 'auto_increment', 'not null', "comment 'id user'"],
                    'login' => ['varchar(64)', 'not null', 'collate utf8mb4_general_ci', "comment 'login'"],
                    'password' => ['varchar(255)', 'not null', 'collate utf8mb4_general_ci', "comment 'password'"],
                    'email' => ['varchar(255)', 'default null', 'collate utf8mb4_general_ci', "comment 'email'"],
                    'roles' => ['longtext', 'default null', 'collate utf8mb4_general_ci', "comment 'role'"],
                    'primary key (<id>)',
                    'unique (<login>)',
                    'unique (<email>)'
                ]);
                $res=true;
            } else {$msg=sprintf(__('Table "%s" already exists'), $tablename);}
        } else {$msg=__('Connection to database failed');}

        return customResponse::json($response, ['res' => $res, 'msg' => $msg]);
    }
}