<!DOCTYPE html>
<html>
<head>
    <title><?= $title ?></title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta name="robots" content="noindex, nofollow">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

<link rel="stylesheet" type="text/css" href="/app/asset/lib/uikit/css/uikit-advanced.css">
<style type="text/css">
html, body, h1, p, a
{
    margin: 0px;
    padding: 0px;
}

body
{
    background-color: #00acc1; 
    color: #fff;
    line-height: 1.5;
    font-family: "Roboto", sans-serif;
    font-weight: 100;
    font-style: normal;
}

a
{
    border: 1px solid #f9f9fb;
    width: 230px;
    height: 48px;
    margin: 50px auto;
    padding: 10px 15px;
    color: #fff;
    font-size: 18px;
    text-align: center;
    display: block;
    position: relative;

    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -o-box-sizing: border-box;
    box-sizing: border-box;
}

a:hover
{
    background-color: #0097a7;

    -webkit-transition: background-color 1.4s !important;
    -moz-transition: background-color 1.4s !important;
    -o-transition: background-color 1.4s !important;
    transition: background-color 1.4s !important;
}

a svg
{
    max-width: unset;
    left: -1px;
    top: -1px;
    position: absolute;
    fill: none;
    stroke: #fff;
    stroke-dasharray: 150 570;
    stroke-dashoffset: 150;

    -webkit-transition: 1s ease-in-out;
    -moz-transition: 1s ease-in-out;
    -o-transition: 1s ease-in-out;
    transition: 1s ease-in-out;
}

a:hover svg {stroke-dashoffset: -570;}

p
{
    font-size: 28px;
    text-align: center;
    font-weight: 100;
}

h1
{
    text-align: center;
    font-size: 220px;
    font-weight: 100;
    text-shadow: #008490 1px 1px, #008591 2px 2px, #008592 3px 3px, #008692 4px 4px, #008693 5px 5px, #008794 6px 6px, #008895 7px 7px, #008896 8px 8px, #008997 9px 9px, #008a98 10px 10px, #008a99 11px 11px, #008b99 12px 12px, #008b9a 13px 13px, #008c9b 14px 14px, #008d9c 15px 15px, #008e9d 16px 16px, #008f9e 17px 17px, #008f9f 18px 18px, #00909f 19px 19px, #0090a0 20px 20px, #0091a0 21px 21px, #0092a1 22px 22px, #0092a2 23px 23px, #0093a2 24px 24px, #0093a3 25px 25px, #0094a4 26px 26px, #0095a4 27px 27px, #0095a5 28px 28px, #0096a5 29px 29px, #0096a6 30px 30px, #0097a7 31px 31px, #0098a8 32px 32px, #0099a9 33px 33px, #009aaa 34px 34px, #009aab 35px 35px, #009bab 36px 36px, #009bac 37px 37px, #009cad 38px 38px, #009dae 39px 39px, #009daf 40px 40px, #009eb0 41px 41px, #009fb1 42px 42px, #009fb2 43px 43px, #00a0b2 44px 44px, #00a0b3 45px 45px, #00a1b4 46px 46px, #00a2b5 47px 47px, #00a3b6 48px 48px, #00a4b7 49px 49px, #00a4b8 50px 50px, #00a5b8 51px 51px, #00a5b9 52px 52px, #00a6b9 53px 53px, #00a6ba 54px 54px, #00a7bb 55px 55px, #00a8bc 56px 56px, #00a8bd 57px 57px, #00a9bd 58px 58px, #00a9be 59px 59px, #00aabe 60px 60px, #00aabf 61px 61px, #00abc0 62px 62px, #00acc1 63px 63px;
}
</style>

</head>
<body>
    <div style="background: url('/angiv/plugin/guide/image/background.png') no-repeat 0% 0%; right: 0px; bottom: 0px; z-index: -1; top: 0px; left: 0px; position: absolute;"></div>
    <h1>404</h1>
    <p><?= $msg ?></p>
    <p><?= $question ?></p>
    <a class="nothover" href="/"><svg width="229px" height="47px" viewBox="0 0 229 47"><polyline points="229,1 229,47 1,47 1,1 229,1"></polyline><polyline points="229,1 229,47 1,47 1,1 229,1"></polyline></svg><?= $back ?></a>
</body>
</html>