<div uk-grid v-cloak>
    <div class="uk-width-1-5@m">
        <ul class="uk-flex-center uk-tab-left" uk-tab="connect: #tabcontent; animation: uk-animation-slide-left-medium, uk-animation-slide-right-medium, swiping: false;">
            <li><a href="#"><img class="ang-margin-right10" src="/app/asset/image/theme/icon-server.svg" alt="" uk-svg />{{ $t('System') }}</a></li>

            <li><a href="#"><img class="ang-margin-right10" width="25" height="25" src="/app/asset/image/theme/icon-code.svg" alt="" uk-svg />PHP</a></li>

            <li v-if="(driver != false)"><a href="#"><img class="ang-margin-right10" width="25" height="25" src="/app/asset/image/theme/icon-database.svg" alt="" uk-svg />{{ $t('Database') }}</a></li>
        </ul>
    </div>

    <div class="uk-width-expand@m">
        <ul id="tabcontent" class="uk-switcher">
            <li>
                <h3 class="uk-text-center">{{ $t('System') }}</h3>
                <table class="uk-table uk-table-divider uk-table-striped uk-table-hover">
                    <tbody>
                        <tr>
                            <td class="uk-width-1-4">{{ $t('Version') + ' Angiv CMF'}}</td>
                            <td><?= html($phpdata['cmfversion']) ?></td>
                        </tr>
                        <tr>
                            <td>{{ $t('Web-server') }}</td>
                            <td><?= html($phpdata['server']) ?></td>
                        </tr>
                        <tr>
                            <td>{{ $t('User agent') }}</td>
                            <td><?= html($phpdata['useragent']) ?></td>
                        </tr>
                    </tbody>
                </table>
            </li>

            <li>
                <h3 class="uk-text-center">PHP</h3>
                <table class="uk-table uk-table-striped uk-table-hover uk-table-divider">
                    <tbody>
                        <tr>
                            <td class="uk-width-1-4">{{ $t('Version') }}</td>
                            <td><?= html($phpdata['phpversion']) ?></td>
                        </tr>
                        <tr>
                            <td>{{ $t('Handler') }}</td>
                            <td><?= html($phpdata['sapiname']) ?></td>
                        </tr>
                        <tr>
                            <td>{{ $t('Works on') }}</td>
                            <td><?= html($phpdata['workson']) ?></td>
                        </tr>
                        <tr>
                            <td>{{ $t('Extensions') }}</td>
                            <td><?= html($phpdata['extensions']) ?></td>
                        </tr>
                    </tbody>
                </table>
            </li>

            <li v-if="(driver != false)">
                <h3 class="uk-text-center">{{ $t('Database') }}</h3>
                <table class="uk-table uk-table-striped uk-table-hover uk-table-divider">
                    <tbody>
                        <tr>
                            <td class="uk-width-1-4">{{ $t('Version') }}</td>
                            <td><?= html($phpdata['dbversion']) ?></td>
                        </tr>
                        <tr>
                            <td>{{ $t('Driver') }}</td>
                            <td><?= html($phpdata['driver']) ?></td>
                        </tr>
                        <tr>
                            <td>{{ $t('Client') }}</td>
                            <td><?= html($phpdata['client']) ?></td>
                        </tr>
                    </tbody>
                </table>
            </li>
        </ul>
    </div>
</div>