<?php
    $this->addAttribute('js', array_merge($this->getAttribute('js'), filelist(['/system/vue/vue.global.prod.min.js', '/system/vue/vue-i18n.global.prod.min.js', '/system/izitoast/js/izitoast.min.js', '/system/animate/js/animate.js', '/system/textautoresize/textautoresize.min.js', 'js/user/widgetfeedback.js'], 'feedback')));
    $this->addAttribute('css', array_merge($this->getAttribute('css'), filelist(['/system/izitoast/css/izitoast.min.css', '/system/izitoast/css/izitoast-advanced.css','css/user/widgetfeedback.css'], 'feedback')));
?>

<div id="widgetfeedback">
    <div id="circlebut">
        <img src="/app/asset/image/theme/feedback.png" :uk-tooltip="$t('Letter to developer')" uk-toggle="target: #modalfeedback" />
    </div>

    <div id="modalfeedback" class="uk-flex-top" uk-modal>
        <div class="uk-modal-dialog uk-margin-auto-vertical" style="width: 600px;">
            <div class="uk-modal-body">
                <h4 class="dotted-underline-bottom ang-padding-bottom10 uk-text-center">{{ $t('Letter to developer') }}</h4>
                <button class="uk-modal-close-default contrast" type="button" uk-close></button>

                <form class="uk-form-horizontal">
                    <div class="uk-line-hover">
                        <label class="uk-form-label ang-padding-left10" for="form-messagetext">{{ $t('Message text') }}</label>
                        <div class="uk-form-controls">
                            <div class="uk-inline uk-width-1-1">
                                <i id="iconmessagetext" class="uk-form-icon ang-color-orange" :class="{'ang-color-green': messagetext}" :uk-icon="(messagetext ? 'check' : 'warning')"></i>
                                <textarea name="FEEDBACKMESSAGETEXT" id="form-messagetext" class="uk-input ang-textautosize" type="text" :placeholder="$t('Enter message text')" maxlength="3000" v-model="messagetext" v-textautoresize></textarea>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

            <div class="uk-modal-footer uk-text-right">
                <button class="ang-button ang-button-minor uk-modal-close">{{ $t('Close') }}</button>

                <button class="ang-button ang-margin-left10" @click.prevent="sendmessage()">{{ $t('Send') }}</button>
            </div>
        </div>
    </div>

    <!--
    <div class="uk-container ang-margin-top20 ang-margin-bottom20" style="display: none;" v-show="true">
        <button type="button" href="#toggle-animation" class="uk-button uk-button-default ang-padding-left10 ang-padding-right10 uk-link uk-float-right" uk-toggle="target: #vuedata; animation: uk-animation-fade, uk-animation-slide-bottom;" :uk-tooltip="$t('Vue-data')">
            <i class="ang-color-light-grey" uk-icon="settings"></i>
        </button>
        <pre id="vuedata" class="uk-card-default ang-margin-top50" hidden>{{ $data }}</pre>
    </div>
    -->
</div>