<?= $this->fetch('/guide/view/user/header.php') ?>

<div class="uk-section uk-section-default uk-section-medium uk-position-relative uk-overflow-hidden">
    <div class="uk-position-top-left uk-visible@m" style="background: url('/angiv/plugin/guide/image/background.png') no-repeat 0% 0%; right: 0px; bottom: 0px;"></div>
    <div class="uk-position-top-left" style="background: url('/angiv/plugin/guide/image/background.png') no-repeat 0% 0%; right: 0px; bottom: 0px; -webkit-transform: scale(1, 1) rotate(180deg); -moz-transform: scale(1, 1) rotate(180deg); -ms-transform: scale(1, 1) rotate(180deg); -o-transform: scale(1, 1) rotate(180deg); transform: scale(1, 1) rotate(180deg);"></div>
    <div class="uk-container ang-margin-top50">
        <div class="uk-grid-large uk-grid-divider uk-grid-match" uk-grid>
            <div id="introduction" class="uk-margin-auto-vertical uk-width-2-5@s uk-text-center" style="z-index: 2;">
                <div>
                    <h1 class="uk-h2 uk-margin-remove"><?= __('Hello') ?>, <br class="uk-hidden@m" /><?= __('im') ?> Angiv CMF</h1>
                    <h1 class="uk-h4 ang-margin-top10 ang-margin-bottom40">
                        PHP Content Management Framework<br class="uk-visible@xl" />
                        <?= __('Modern CMF for website development') ?> <br class="uk-visible@xl" /><?= __('and quickly create your plugins') ?>
                    </h1>

                    <a href="/angiv/storage/angiv.zip" class="downloadbutton ang-button-simple ang-margin-bottom40 uk-text-uppercase nothover" style="width: 180px; height: 50px; padding-right: 10px; color: #616161; line-height: 42px;">CMF <?= __('download') ?><i class="uk-position-top-right" uk-icon="download" style="margin: 14px 20px 0px 0px;"></i></a>
                </div>
            </div>

            <div class="uk-width-expand@s">
                <div id="slide3d">
                    <div id="cube">
                        <div class="slide secret">
                            <div class="slidecontent">
                                <div class="uk-h2"><?= __('Your talent') ?></div>
                                <div class="uk-h4"><?= __('to find what is hidden,') ?> </div>
                                <div class="uk-h4"><?= __('but in front everyone,') ?> </div>
                                <div class="uk-h4"><?= __('would help') ?> <a href="/complicity"><?= __('development') ?></a></div>
                            </div>
                        </div>

                        <div class="slide preview">
                            <div class="slidecontent uk-position-top-left" style="left: 55px; right: 55px; top: 45px; bottom: 65px; overflow: hidden; border-radius: 50%;">
                                <img src="/angiv/plugin/guide/image/controlpanel.png" alt="Admin panel" style="max-width: none;" />
                            </div>
                        </div>

                        <div class="slide download">
                            <div class="slidecontent">
                                <h3><?= __('Download options') ?>:</h3>
                                <!-- <p class="uk-button uk-button-default uk-position-relative ang-color-light-grey ang-border-light-grey" style="padding-right: 50px; text-transform: unset; line-height: 50px; cursor: not-allowed;" disabled="disabled"><?= __('comments in english') ?><i class="uk-position-top-right" uk-icon="download" style="margin: 14px 20px 0px 0px;"></i></p> -->
                                <p><a href="/angiv/storage/angiv_ru_comments.zip" class="uk-button uk-button-default uk-position-relative" style="padding-right: 50px; text-transform: unset; line-height: 50px;"><?= __('comments in russian') ?> <i class="uk-position-top-right" uk-icon="download" style="margin: 14px 20px 0px 0px;"></i></a></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="uk-container uk-width-4-5@s uk-text-center uk-margin-xlarge uk-padding-remove">
        <h1 class="uk-h5 uk-margin-remove"><?= __('Angiv CMF is a php framework for your website that you can create for free with your own unique design.') ?></h1>
        <h1 class="uk-h5 uk-margin-remove"><?= __('Angiv CMF allows you to quickly create plugins with exactly functions that are needed in operation your site, using php libraries that you already know well.') ?></h1>
    </div>
</div>

<div class="uk-section uk-section-muted uk-section-xsmall">
    <div class="uk-container ang-margin-bottom50">
        <h1 class="ang-margin-top50 ang-margin-bottom50 uk-text-center"><?= __('Angiv CMF control panel is based on php libraries') ?></h1>
        <div class="uk-grid-large uk-grid-match uk-child-width-1-2@s uk-child-width-1-3@l uk-child-width-1-4@xl uk-flex-center" uk-grid>
            <?php $cat=array_rand($addictions); foreach ($addictions ?? [] as $key => $item) { ?>
                <div class="uk-position-relative">
                    <?php if (!empty($item['topic']) && count($item['topic']) != 0) { ?>
                        <button type="button" class="uk-button uk-button-default uk-position-top-right ang-margin20 uk-padding-remove uk-link ang-border-grey" style="z-index: 3; width: 30px; height: 30px; line-height: unset;">
                            <i class="ang-color-grey" uk-icon="chevron-down"></i>
                        </button>
                        <div class="ang-panel uk-width-auto uk-padding-remove uk-position-absolute" uk-dropdown="mode: click; pos: bottom-right; animation: uk-animation-slide-top-small;">
                            <ul class="uk-nav uk-dropdown-nav uk-list-collapse uk-list-striped">
                                <?php foreach ($item['topic'] ?? [] as $tkey => $titem) { ?>
                                    <li class="ang-padding5"><a href="<?= $titem[1] ?>" target="_blank"><i class="ang-color-bluegrey" uk-icon="chevron-right"></i> <?= $titem[0] ?></a></li>
                                <?php } ?>
                            </ul>
                        </div>
                    <?php } ?>

                    <a href="<?= $item[1] ?>" target="_blank">
                        <div class="uk-card uk-card-default uk-card-hover uk-position-relative">
                            <div class="uk-text-center" style="z-index: 2">
                                <img class="uk-card-body uk-padding-remove" src="/angiv/plugin/guide/image/lib.<?= $key ?>.png" alt="<?= $item[0] ?>" style="margin: 0 auto;" />
                                <h3 class="uk-card-footer uk-card-title uk-margin-remove ang-margin-left30 ang-margin-right30 uk-link"><?= $item[0] ?></h3>
                            </div>
                            <?php if ($key == $cat) { ?>
                                <img id="cat" class="uk-position-bottom-right ang-margin10" src="/angiv/plugin/guide/image/cat.gif" alt="cat" style="width: 100px;" />
                            <?php } ?>
                        </div>
                    </a>
                </div>
            <?php } ?>

            <div class="uk-text-center">
                <div class="uk-card uk-card-default uk-card-hover">
                    <img class="uk-card-body uk-padding-remove" src="/angiv/plugin/guide/image/lib.other.png" alt="Other" style="margin: 0 auto;" />
                    <div class="uk-card-footer ang-margin-left30 ang-margin-right30">
                        <a href="https://jquery.com" target="_blank" class="uk-h3 uk-card-title uk-heading-bullet uk-text-nowrap ang-margin-right10">jQuery</a>
                        <a href="https://lodash.com" target="_blank" class="uk-h3 uk-card-title uk-heading-bullet uk-text-nowrap ang-margin-right10">lodash</a>
                        <a href="https://animate.style" target="_blank" class="uk-h3 uk-card-title uk-heading-bullet uk-text-nowrap ang-margin-right10">animate.css</a>
                        <a href="https://izitoast.marcelodolza.com" target="_blank" class="uk-h3 uk-card-title uk-heading-bullet uk-text-nowrap ang-margin-right10">iziToast</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>