<?php

namespace Plugin\hello\src\controller\admin;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;

class pagedatabaseController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response) {
        $mysqldata=[];
        $mysqllog=__('Connection to database failed');

        //if (envbool('APP_DATABASE_USE') === true) {
            if (!empty($db=$this->container->get('database'))) {
                $tablename=str_replace('"', '', $db->tableQuote('hello'));
                //$tablename=env('APP_DATABASE_PREFIX', 'ang_') . 'hello';
                if ($db->query("SHOW TABLES LIKE '{$tablename}'")->fetchColumn() !== false) {
                    $mysqldata=$db->select('hello', ['id', 'name'], ['id' => 1]);
                    $mysqldata=$db->select('hello', ['id', 'name', 'age'], ['id' => 2]);
                    $mysqllog=$db->log();
                } else {$mysqllog=sprintf(__('Table "%s" does not exist'), $tablename);}
            } else {$mysqllog=__('Connection to database failed');}
        //}

        $renderer=$this->container->get('viewadmin');
        return $renderer->render($response, $renderer->getAttribute('currentpage'), ['phpdata' => ['mysqldata' => $mysqldata, 'mysqllog' => $mysqllog]]);
    }
}