<?php

namespace Plugin\hello\src\controller\admin;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;

class pagevueController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response) {
        $phpdata=[
            'hellovuemessage' => __('Hello Vue'),
            'helloajaxmessage' => __('Hello Axios'),
            'counter' => 0
        ];

        $renderer=$this->container->get('viewadmin');
        return $renderer->render($response, $renderer->getAttribute('currentpage'), ['phpdata' => $phpdata]);
    }
}