<?php

namespace Plugin\hello\src\controller\user;

use Slim\Psr7\{
    Request,
    Response
};
use App\response\customResponse;

class ajaxuserController
{
    /**
     * @route({"url": "getusertext[/{id}]", "methods": ["post"], "csrf": true, "access": ["hello_ajax_exec"]})
     */
    public static function getusertext(Request $request, Response $response, $id = '') {
        $params=$request->getQueryParams();
        $data=$request->getParsedBody();

        try {
            //$container=$GLOBALS['app']->getContainer();
            $res=['res' => true, 'text user' => __('Example text'), 'id' => $id, 'params' => $params, 'data' => $data];
            return customResponse::json($response, $res);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }
}