<?php

namespace Plugin\options\src\controller\admin;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;

class pageoptionsController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response) {
        $phpdata=[
            'params_data_1' => [
                'key 1' => __('value 1'),
                'key 2' => __('value 2'),
            ],
            'params_data_2' => ['111', '222', '333']
        ];

        $renderer=$this->container->get('viewadmin');
        return $renderer->render($response, $renderer->getAttribute('currentpage'), ['phpdata' => $phpdata]);
    }
}