<?php

namespace Plugin\twosliders\src\controller\user;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;

class pagesliderController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response) {
        $phpdata=['slider6.jpg', 'slider7.jpg', 'slider8.jpg', 'slider9.jpg', 'slider10.jpg'];

        $renderer=$this->container->get('viewuser');
        return $renderer->render($response, $renderer->getAttribute('currentpage'), ['phpdata' => $phpdata]);
    }
}