<?php

use App\middleware\{
    rendererMiddleware,
    roleaccessMiddleware
};

$pagereg = function ($plugin, $page, $view) use ($app, $container) {
    $url=(($view == 'viewadmin') ? $_ENV['APP_ADMIN_URL'] : '') . $page['url'];
    $route=$app->get($url, $page['controller']);

    $route->add(new rendererMiddleware($container, $view, $plugin, $page));
    if ($view == 'viewuser') {
        $route->add($container->get('csrf'));
        if (envbool('APP_AUTH_USE') === true && !empty($page['access'])) {
            if (!in_array('auth', $page['access'])) {
                $route->add(new roleaccessMiddleware($container, $page['access'], true));
            }
            $route->add($container->get('auth'));
        }
    }
};

if (str_starts_with($currenturl, $_ENV['APP_ADMIN_URL']) !== false) {
    if (envbool('APP_ADMIN_USE') === true) {
        require_once base_path('/app/admin/routeadmin.php');
    }
} else {
    require_once base_path('/app/admin/routeuser.php');
}