<div v-cloak>
    <h3 class="uk-text-center">{{ $t('Site pages') }}</h3>

    <div class="uk-overflow-auto">
        <table class="uk-table uk-table-divider uk-table-hover uk-table-small uk-table-middle uk-margin-remove">
            <thead>
                <tr>
                    <th class="uk-width-auto uk-text-center">{{ $t('Name') }}</th>
                    <th class="uk-table-expand uk-text-center">Url</th>
                </tr>
            </thead>

            <tbody>
                <tr v-if="(!pagesuser || pagesuser.length == 0)">
                    <td class="uk-text-center ang-padding-top30 ang-padding-bottom30" colspan="2">{{ $t('No data available') }}</td>
                </tr>
                <tr v-for="(item, index) in pagesuser" v-else>
                    <td>
                        {{ item.title }}
                    </td>

                    <td>
                        <a :href="divideurl(item.url)" target="_blank">{{ item.url }}</a>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>