axios.interceptors.request.use(function (request) {
    if (typeof jQuery !== 'undefined' && jQuery !== null) {$('#wait').css('display', 'block');} else {document.getElementById('wait').style.display='block';}
    //request['headers']['Content-type']='application/json; charset="UTF-8"';
    if (!!window.$csrf) {request['headers']['csrf']=window.$csrf;}
    //const token=localStorage.getItem('token'); if (!!token) {request['headers']['Authorization']='Bearer ' + token;}
    return request;
});

axios.interceptors.response.use(
    function (response) {
        if (typeof jQuery !== 'undefined' && jQuery !== null) {$('#wait').fadeOut(300);} else {document.getElementById('wait').style.display='none';}
        if (!!response['headers']['csrf']) {window.$csrf=response['headers']['csrf'];}
        response['msg']='';
        if (typeof response.data.msg === 'string') {response['msg']=response.data.msg;}
        if (typeof response.data === 'string') {response['msg']=response.data;}
        return response;
    },
    function (error) {
        if (typeof jQuery !== 'undefined' && jQuery !== null) {$('#wait').fadeOut(300);} else {document.getElementById('wait').style.display='none';}
        if (!!error.response.data.csrf) {window.$csrf=error.response.data.csrf;}
        switch (error.response.status) {
            case 400: case 403:
                error.response['msg']=error.response.data.message;
                break;
            default:
                error.response['msg']='Ajax error: "' + error + '"' + (!!error.response.data.exception ? ('<p class="ang-padding-left30">' + JSON.stringify(error.response.data.exception[0]).replace(/["{}]/g, '').replace(/,/g, '<br />').replace(/\\\\/g, '\\') + '</p>') : '');
        }
        return Promise.reject(error);
    }
);